##--------------------------------
# general options

start: 1368975618
stop: 1370097052

instruments: H1L1
min-instruments: 2

##--------------------------------
# data product options

data:
  data-dir: /home/gstlalcbc.offline/observing/4/IMBH/a/runs_final/chunk1_imbh_1368975618_1370097052/input_data
  injection-dir: /home/gstlalcbc.offline/observing/4/IMBH/a/runs_final/chunk1_imbh_1368975618_1370097052/injection_data
  filter-dir: /home/gstlalcbc.offline/observing/4/IMBH/a/runs_final/chunk1_imbh_1368975618_1370097052/filter_data
  rank-dir: /home/gstlalcbc.offline/observing/4/IMBH/a/runs_final/chunk1_imbh_1368975618_1370097052/rank
  template-bank: reassigned_H1L1V1-O4_MANIFOLD_BANK-0-2000000000.xml

##--------------------------------
# data source options

source:
  data-source: frames
  frame-cache: frame.cache
  frame-type:
    H1: H1_HOFT_C00
    L1: L1_HOFT_C00
  channel-name:
    H1: GDS-CALIB_STRAIN_CLEAN
    L1: GDS-CALIB_STRAIN_CLEAN
  inj-frame-cache: injection_frame.cache
  inj-channel-name:
    H1: RPO4_OFFLINE_v1
    L1: RPO4_OFFLINE_v1
  sample-rate: 16384
  frame-segments-file: segments.xml.gz
  frame-segments-name: datasegments
  x509-proxy: x509_proxy


##----------------------------------
segments:
  backend: dqsegdb
  science:
    H1: DMT-ANALYSIS_READY:1
    L1: DMT-ANALYSIS_READY:1
  vetoes:
    category: CAT1
    veto-definer:
      file: H1L1-HOFT_C00_O4_CBC.xml
      version: CAT1-HL-20230801-R1
      epoch: O4

##--------------------------------
# psd options

psd:
  fft-length: 4
  sample-rate: 4096

##--------------------------------
## svd bank options
svd:
  f-low: 10.0
  num-chi-bins: 1
  approximant:
    - 0.00:1000.0:SEOBNRv4_ROM
  tolerance: 0.9999
  max-f-final: 1024.0
  num-split-templates: 200
  overlap: 30
  num-banks: 2
  samples-min: 512
  samples-max-64: 2048
  samples-max-256: 2048
  samples-max: 4096
  sort-by: template_duration
  autocorrelation-length: 351
  option-file: svd_manifest.json

##--------------------------------
## filtering options

filter:
  group-svd: False
  fir-stride: 1
  min-instruments: 2
  coincidence-threshold: 0.01
  ht-gate-threshold: 0.8:15.0-45.0:100.0
  veto-segments-file: vetoes.xml.gz
  time-slide-file: tisi.xml
  #injection-time-slide-file: inj_tisi.xml
  time-slides:
    H1: 0:0:0
    L1: 0.62831:0.62831:0.62831
  
injections:
  time-slide-file: inj_tisi.xml
  filter:
    imbh:
      file: H1L1-INJECTIONS_RPO4_OFFLINE_V1_000-1370097052-1209035.xml.gz
      pregenerated: True
      frame-type: rpo4_offline_v1_000
      range: 41.69:1000
      noiseless-inj-frames: True
#    bbh:
#      file: bbh_injections.xml.gz
#      pregenerated: False
#      range: 0.01:1000.0
#    bns:
#      file: bns_injections.xml.gz
#      pregenerated: False
#      range: 0.01:1000.0
#    nsbh:
#      file: nsbh_injections.xml.gz
#      pregenerated: False
#      range: 0.01:1000.0

##--------------------------------
## injection options

#FIXME Reference spectrum files can be downloaded from https://dcc.ligo.org/LIGO-T2000012 using the dcc command in conda
#injections:
#  h1-reference-spectrum-file: '/ligo/home/ligo.org/cort.posnansky/observing/4/dev/offline/injections/aligo_O3actual_H1.txt'
#  l1-reference-spectrum-file: '/ligo/home/ligo.org/cort.posnansky/observing/4/dev/offline/injections/aligo_O3actual_L1.txt'
#  v1-reference-spectrum-file: '/ligo/home/ligo.org/cort.posnansky/observing/4/dev/offline/injections/avirgo_O3actual.txt'
##  combine: true
##  combined-file: combined_injections.xml.gz
#  sets:
#    imbh:
#      max-redshift: 2.
#      redshift-power: 2.9
#      mass-distribution: IMF_PAIR
#      max-mass: 400.
#      min-mass: 100.
#      max-mtotal: 500.0
#      max-massratio: 10.0
#      max-spin1: 0.99
#      max-spin2: 0.99
#      max-spin: 0.99
#      waveform: SEOBNRv4pseudoFourPN
#      approximant: IMRPhenomD
#      time:
#        step: 10.
#        interval: 0.1
#        shift: 0.
#      random-seed: 38439
#      snr-threshold: 6.
#      min-frequency: 10.0
#      output-tag: imbh_injections

##--------------------------------
## prior options

prior:
  mass-model: mass_model_combined_IMBHreassigned_allskyfull_BANK.h5
  df: analytic
  dtdphi: inspiral_dtdphi_pdf.h5
##--------------------------------
## ranking options

rank:
  ranking-stat-samples: 1048576
  calc-pdf-jobs: 4
  calc-pdf-cores: 1
  marg-pdf-files: 64
  merge-level-one-max-files: 50
  merge-level-two-max-files: 10
  add-level-one-max-files: 500
  add-level-two-max-files: 100
  allow-impossible-inj-candidates: False
  set-calc-pdfs-seed: False

##--------------------------------
## summary options

summary:
  webdir: ~/public_html/observing/4/IMBH/a/runs_final/chunk1_imbh_1368975618_1370097052
open-box:
  webdir: ~/public_html/observing/4/IMBH/a/runs_final/chunk1_imbh_1368975618_1370097052/OPEN-BOX

##--------------------------------
## condor options

condor:
  profile: ldas
  accounting-group: ligo.dev.o4.cbc.uber.gstlaloffline
  accounting-group-user: debnandini.mukherjee
  singularity-image: /home/gstlalcbc.offline/observing/4/IMBH/a/build_final/gstlal-imbh_offline_05312014
  directives:
    environment: '"LAL_DATA_PATH=/cvmfs/oasis.opensciencegrid.org/ligo/sw/pycbc/lalsuite-extra/current/share/lalsimulation X509_USER_PROXY=/home/gstlalcbc.offline/observing/4/IMBH/a/runs_final/chunk1_imbh_1368975618_1370097052/x509_proxy"'

